# Welcome to Serverless!
#
# This file is the main config file for your service.
# It's very minimal at this point and uses default values.
# You can always add more config options for more control.
# We've included some commented out config examples here.
# Just uncomment any of them to get that config option.
#
# For full config options, check the docs:
#    docs.serverless.com
#
# Happy Coding!

service: hello-world-node-sls
variablesResolutionMode: 20210326
configValidationMode: error

frameworkVersion: '^2'

custom:
  stage: test
  common: ${file(./defaults.js):common}

provider:
  name: aws
  runtime: ${self:custom.common.nodeVersion}
  lambdaHashingVersion: 20201221
  vpc: ${file(./defaults.js):vpc}

functions:
  hello:
    handler: handler.hello
    environment:
      ENV: ${self:custom.common.environment}
